<style type="text/css">
<!--
table { vertical-align: top; }
tr    { vertical-align: top; }
td    { vertical-align: top; }
table.page_footer {width: 100%; border: none; background-color: white; padding: 2mm;border-collapse:collapse; border: none;}
}
-->
</style>
<link href="//cdn.muicss.com/mui-0.10.0/css/mui.min.css" rel="stylesheet" type="text/css" />

<page backtop="5mm" backbottom="5mm" backleft="5mm" backright="5mm" style="font-size: 5pt; font-family: arial" >
        <page_footer>
        <table class="page_footer">
        <?php
            $configuration = mysqli_query($con, "select * from configuration");
        ?>
            <tr>
                <td style="width: 50%; text-align: left">
                    P&aacute;gina [[page_cu]]/[[page_nb]]
                </td>
                <td style="width: 50%; text-align: right">
                    &copy; <?php echo ""; echo  $anio=date('Y'); ?>
                </td>
            </tr>
        </table>
    </page_footer>
    
    <table cellspacing="0" style="width: 100%;">
        <tr>
        <?php foreach ($configuration as $settings) { ?> 
        <?php if ($settings['name']=="website") { ?>
            <td style="width: 25%; color: #444444;">
                <!-- <img style="width: 100%;" src="../../images/<?php echo $settings['val']; ?>" alt="Logo"><br> -->
                <h1><?php echo $settings['val']; ?></h1>
            </td>
        <?php } ?>   
		<?php } //end foreach ?>   
            <td style="width: 75%;text-align:right">
                <h2 style="color: #2c3e50;">Departamento de IT</h2>
            </td>
        </tr>
    </table>
    <br>

	
	<table cellspacing="0" style="width: 100%; text-align: left; font-size: 7pt;">
		<tr>
			<td style="width: 100%;text-align:right">
			Fecha: <?php echo date("d/m/Y");?>
			</td>
		</tr>
	</table>

    <br>
  
    <!--<table cellspacing="0" style="width: 100%; border: solid 1px #2c3e50; background: #2c3e50;color:white; text-align: center; font-size: 9pt;padding:1mm;">
        <tr>
            <th>FECHA </th>
            <th>CODIGO</th>
            <th>EMPRESA</th>
            <th>NOMBRE</th>
            <th>ESTADO</th>
            <th>PROBLEMA</th>
            
        </tr>
    </table> -->
	<table border="1"cellspacing="0" style="width: 100%; text-align: center; font-size: 7pt;" >
	    
	        <tr style="color: #FFF; background-color: #34495e;   vertical-align:middle;">
            <th style="width:6%; text-align: center;">REGISTRADO</th>
            <th style="width:6%; text-align: center">FINALIZADO</th>
            <th style="width:5%; text-align: center">TICKET</th>
            <!--<th>EMPRESA</th>-->
            <th style="width:5%; text-align: center">USUARIO</th>
            <th style="width:6%; text-align: center">EMPRESA</th>
            <th style="width:5%; text-align: center">ESTATUS</th>
            <th style="width:6%; text-align: center" >AGENTE</th>
            <th style="width:7%; text-align: center">ÁREA</th>
            <th style="width:7%; text-align: center">SERVICIO</th>
            <th style="width:5%; text-align: center">PRIORIDAD</th>
            <th style="width:12%; text-align: center">PROBLEMA</th>
            <th style="width:13%; text-align: center">SOLUCIÓN</th>
            <th style="width:4%; text-align: center">TIEMPO EN ASIGNARSE</th>
            <th style="width:4%; text-align: center">TIEMPO EN RESOLVER</th>
            <th style="width:4%; text-align: center">TIEMPO RESANTE</th>
            <th style="width:5%; text-align: center">ESTADO</th>
        </tr>
	    
	    
	   
    <?php

      $sTable="tickets";
        
			list ($f_inicio,$f_final)=explode(" - ",$daterange);//Extrae la fecha inicial y la fecha final en formato espa?ol
			list ($dia_inicio,$mes_inicio,$anio_inicio)=explode("/",$f_inicio);//Extrae fecha inicial 
			$fecha_inicial="$anio_inicio-$mes_inicio-$dia_inicio 00:00:00";//Fecha inicial formato ingles
			list($dia_fin,$mes_fin,$anio_fin)=explode("/",$f_final);//Extrae la fecha final
			$fecha_final="$anio_fin-$mes_fin-$dia_fin 23:59:59";
		
			$sWhere = "where created_at between '$fecha_inicial' and '$fecha_final' ";
	
		
			if ($category>0){
				$sWhere .=" and status_id='$category'";
			}
			$sWhere.=" order by created_at desc";
			$sql="SELECT * FROM  $sTable $sWhere";
			
			$query = mysqli_query($con, $sql);
			
			$sumador_total=0;
            
            
            
			while ($key=mysqli_fetch_array($query)) {
				$category_id=$key['status_id'];
				$finalizado=$key['finalizado'];
				$comment=$key['comment'];
			
                
            //A CONTINUACIÓN SACAMOS EL FECHAS DE INICIO Y FINAL DEL TICKET 
			$created_at=$key['created_at'];
		    $date_atendid=$key['date_atendid'];	
            $date_asigned=$key['date_asigned'];
                
			$strStart = $created_at; 
   			$strEnd   = $date_atendid;
            $strasigned   = $date_asigned;   
                
		   	$dteStart = new DateTime($strStart); 
		   	$dteEnd   = new DateTime($strEnd); 
            $dteasigned   = new DateTime($strasigned); 
                
		   	$dteDiff  = $dteStart->diff($dteEnd);
            
            //A CONTINUACIÓN SACAMOS EL TIEMPO QUE TOMÓ EN ASIGNARSE EL TICKET 
            $fechaactual = date('Y/m/d H:i:s');
            $dtefechaactual =  new DateTime($fechaactual);
            $dteDiffactual = $dteStart->diff($dteasigned);
            $tiempoasignado = $dteDiffactual->format("%D | %H:%I:%S");   
                
            //A CONTINUACIÓN SACAMOS EL TIEMPO QUE TIENE EL TICKET DESDE QUE SE CREÓ
            
            $dteDiffactual1 = $dteStart->diff($dtefechaactual);
            $tiempocreado = $dteDiffactual1->format("%D | %H:%I:%S");  
                
            //A CONTINUACIÓN SACAMOS EL TIEMPO QUE TOMÓ RESOLVER EL TICKET
            $dteDiffactual2 = $dteStart->diff($dteEnd);
            $tiemporesolver = $dteDiffactual2->format("%D | %H:%I:%S"); 

            
            $_SESSION['var']=$tiemporesolver;
                
                    
           

				$category=mysqli_query($con, "select * from status where id=$category_id");
				$rw=mysqli_fetch_array($category);
				$category_name=$rw['name'];

                $kind_id=$key['kind_id'];
                $kind_id=mysqli_query($con, "select * from kind where id=$kind_id");
                $rw=mysqli_fetch_array($kind_id);
                $kind_name=$rw['name'];                

                
                //A CONTINUACIÓN SACAMOS EL NOMBRE DEL CLIENTE
                $client_id=$key['client_id'];
                $clients=mysqli_query($con, "select * from clientes where id=$client_id");
                while ($row=mysqli_fetch_array($clients)) {
                    $business=$row['business'];
                }
                
                //A CONTINUACIÓN SACAMOS EL NOMBRE DEL AGENTE
                $asigned_id=$key['asigned_id'];
                $agente=mysqli_query($con, "select * from user where id=$asigned_id");
                $r=mysqli_fetch_array($agente);
                $kiname=$r['name'];
                
                //A CONTINUACIÓN SACAMOS EL APELLIDO DEL AGENTE
                $asigned_id=$key['asigned_id'];
                $agente1=mysqli_query($con, "select * from user where id=$asigned_id");
                $r=mysqli_fetch_array($agente1);
                $kilastname=$r['lastname'];
                
                
                //A CONTINUACIÓN SACAMOS LA EMPRESA
                $asigned_id1=$key['client_id'];
                $empresa=mysqli_query($con, "select * from clientes where id=$asigned_id1");
                $r=mysqli_fetch_array($empresa);
                $kiempresa=$r['business'];
                
                //A CONTINUACIÓN SACAMOS LA PRIORIDAD DE LAS AREAS
                $prioridad=$key['area'];
                $prioridads=mysqli_query($con, "select * from area where id=$prioridad");
                $r=mysqli_fetch_array($prioridads);
                $prioridad_num=$r['priority_id'];
                
                //A CONTINUACIÓN SACAMOS EL SERVICIO DE LAS AREAS
                $servicio=$key['area'];
                $servicio1=mysqli_query($con, "select * from area where id=$servicio");
                $r=mysqli_fetch_array($servicio1);
                $servicio_num=$r['name'];
                
                
                
                
                
                
                //AQUI DEFINIMOS SI EL TICKET ESTÁ A TIEMPO O VENCIDO UTILIZANDO LA CONSULTA DE PRIORIDAD QUE HICIMOS ARRIBA
                switch ($prioridad_num) {
                    case 1:
                        $tiempopriori1 = new DateTime();
                        $tiempopriori1->format("%D | %H:%I:%S");
                        $tiempopriori1 = ("00 | 02:00:00");       
                        if ($tiemporesolver < $tiempopriori1) {
                            $estado = 'A tiempo';
                        } else {
                            $estado = 'Vencido';
                        }
                    break;
                    
                    case 2:
                        $tiempopriori2 = new DateTime();
                        $tiempopriori2->format("%D | %H:%I:%S");
                        $tiempopriori2 = ("00 | 03:00:00");       
                        if ($tiemporesolver < $tiempopriori2) {
                            $estado = 'A tiempo';
                        } else {
                            $estado = 'Vencido';
                        }
                    break;
                    
                    case 3:
                        $tiempopriori3 = new DateTime();
                        $tiempopriori3->format("%D | %H:%I:%S");
                        $tiempopriori3 = ("00 | 24:00:00");       
                        if ($tiemporesolver < $tiempopriori3) {
                            $estado = 'A tiempo';
                        } else {
                            $estado = 'Vencido';
                        }
                    break;
                        
                    case 4:
                        $tiempopriori4 = new DateTime();
                        $tiempopriori4->format("%D | %H:%I:%S");
                        $tiempopriori4 = ("01 | 08:00:00");       
                        if ($tiemporesolver < $tiempopriori4) {
                            $estado = 'A tiempo';
                        } else {
                            $estado = 'Vencido';
                        }
                    break;
                        
                    case 5:
                        $tiempopriori5 = new DateTime();
                        $tiempopriori5->format("%D | %H:%I:%S");
                        $tiempopriori5 = ("30 | 00:00:00");       
                        if ($tiemporesolver < $tiempopriori5) {
                            $estado = 'A tiempo';
                        } else {
                            $estado = 'Vencido';
                        }
                    break;
                        }
                
                //AQUI HACEMOS EL CONTEO DE TICKETS POR AGENTE, ES DECIR LOS TICKETS A TIEMPO, VENCIDOS Y PAUSADOS.
                
                //IMPORTANTE: LAS VARIABLES DE $agen1, $agen1pausa, etc ESTÁN EN EL ARCHIVO CONFIG EN LA RUTA HELPDESK/ADMIN/CONFIG/CONFIG.PHP
                $nombrecompleto = $kiname . ' ' . $kilastname;
                switch($nombrecompleto){
                    case $agen1:
                        if($estado == 'A tiempo' && $category_name == 'Solucionado'){
                            $agen1atiem = $agen1atiem +1;
                        }elseif($estado == 'Vencido' && $category_name == 'Solucionado'){
                            $agen1retra = $agen1retra +1;
                        } elseif($category_name == 'Con Incidencia'){
                            $agen1pausa = $agen1pausa +1;
                        } 
                            $agen1totales = $agen1atiem+$agen1retra+$agen1pausa;
                        break;
                        
                    case $agen2:
                        if($estado == 'A tiempo' && $category_name == 'Solucionado'){
                            $agen2atiem = $agen2atiem +1;
                        }elseif($estado == 'Vencido' && $category_name == 'Solucionado'){
                            $agen2retra = $agen2retra +1;
                        } elseif($category_name == 'Con Incidencia'){
                            $agen2pausa = $agen2pausa +1;
                        } 
                            $agen2totales = $agen2atiem+$agen2retra+$agen2pausa;
                        break;
                        
                    case $agen3:
                        if($estado == 'A tiempo' && $category_name == 'Solucionado'){
                            $agen3atiem = $agen3atiem +1;
                        }elseif($estado == 'Vencido' && $category_name == 'Solucionado'){
                            $agen3retra = $agen3retra +1;
                        } elseif($category_name == 'Con Incidencia'){
                            $agen3pausa = $agen3pausa +1;
                        } 
                            $agen3totales = $agen3atiem+$agen3retra+$agen3pausa;
                        break;
                        
                    case $agen4:
                        if($estado == 'A tiempo' && $category_name == 'Solucionado'){
                            $agen4atiem = $agen4atiem +1;
                        }elseif($estado == 'Vencido' && $category_name == 'Solucionado'){
                            $agen4retra = $agen4retra +1;
                        } elseif($category_name == 'Con Incidencia'){
                            $agen4pausa = $agen4pausa +1;
                        } 
                            $agen4totales = $agen4atiem+$agen4retra+$agen4pausa;
                        break;
                    case $agen5:
                        if($estado == 'A tiempo' && $category_name == 'Solucionado'){
                            $agen5atiem = $agen5atiem +1;
                        }elseif($estado == 'Vencido' && $category_name == 'Solucionado'){
                            $agen5retra = $agen5retra +1;
                        } elseif($category_name == 'Con Incidencia'){
                            $agen5pausa = $agen5pausa +1;
                        } 
                            $agen5totales = $agen5atiem+$agen5retra+$agen5pausa;
                        break;
                    case $agen6:
                        if($estado == 'A tiempo' && $category_name == 'Solucionado'){
                            $agen6atiem = $agen6atiem +1;
                        }elseif($estado == 'Vencido' && $category_name == 'Solucionado'){
                            $agen6retra = $agen6retra +1;
                        } elseif($category_name == 'Con Incidencia'){
                            $agen6pausa = $agen6pausa +1;
                        } 
                            $agen6totales = $agen6atiem+$agen6retra+$agen6pausa;
                        break;
                    case $agen7:
                        if($estado == 'A tiempo' && $category_name == 'Solucionado'){
                            $agen7atiem = $agen7atiem +1;
                        }elseif($estado == 'Vencido' && $category_name == 'Solucionado'){
                            $agen7retra = $agen7retra +1;
                        } elseif($category_name == 'Con Incidencia'){
                            $agen7pausa = $agen7pausa +1;
                        } 
                            $agen7totales = $agen7atiem+$agen7retra+$agen7pausa;
                        break;
                    case $agen8:
                        break;
                    case $agen9:
                        if($estado == 'A tiempo' && $category_name == 'Solucionado'){
                            $agen9atiem = $agen9atiem +1;
                        }elseif($estado == 'Vencido' && $category_name == 'Solucionado'){
                            $agen9retra = $agen9retra +1;
                        } elseif($category_name == 'Con Incidencia'){
                            $agen9pausa = $agen9pausa +1;
                        } 
                            $agen9totales = $agen9atiem+$agen9retra+$agen9pausa;
                        break;
                    case $agen10:
                        break;
                    case $agen11:
                        if($estado == 'A tiempo' && $category_name == 'Solucionado'){
                            $agen11atiem = $agen11atiem +1;
                        }elseif($estado == 'Vencido' && $category_name == 'Solucionado'){
                            $agen11retra = $agen11retra +1;
                        } elseif($category_name == 'Con Incidencia'){
                            $agen11pausa = $agen11pausa +1;
                        } 
                            $agen11totales = $agen11atiem+$agen11retra+$agen11pausa;
                        break;
                    case $agen12:
                        if($estado == 'A tiempo' && $category_name == 'Solucionado'){
                            $agen12atiem = $agen12atiem +1;
                        }elseif($estado == 'Vencido' && $category_name == 'Solucionado'){
                            $agen12retra = $agen12retra +1;
                        } elseif($category_name == 'Con Incidencia'){
                            $agen12pausa = $agen12pausa +1;
                        } 
                            $agen12totales = $agen12atiem+$agen12retra+$agen12pausa;
                        break;
                    case $agen13:
                        break;
                    case $agen14:
                        break;
                         
                }
                
                //AQUI SUMAMOS EN TOTAL DE CADA TIPO DE ESTATUS PARA SACAR UN CONTEO POR DEPARTAMENTO
                $totalatiempo = $agen1atiem+ $agen2atiem+ $agen3atiem+ $agen4atiem+ $agen5atiem+ $agen6atiem+ $agen7atiem+ $agen9atiem+ $agen11atiem+ $agen12atiem;
                
                $totalretrasados = $agen1retra+ $agen2retra+ $agen3retra+ $agen4retra+ $agen5retra+ $agen6retra+ $agen7retra+ $agen9retra+ $agen11retra+ $agen12retra;
                
                $totalpausados = $agen1pausa+ $agen2pausa+ $agen3pausa+ $agen4pausa+ $agen5pausa+ $agen6pausa+ $agen7pausa+ $agen9pausa+ $agen11pausa+ $agen12pausa;
                
                $totalt = $agen1totales+ $agen2totales+ $agen3totales+ $agen4totales+ $agen5totales+ $agen6totales+ $agen7totales+ $agen9totales+ $agen11totales+ $agen12totales;
			?>
			
        <!--A CONTINUACIÓN SE IMPRIME LA TABLA DE TODOS LOS TICKETS-->
			<tr>
				<!--REGISTRADO-->
                <td style="width:6%; text-align: center; vertical-align: middle;"><?php echo date("d/m/Y G:i:s", strtotime($key['created_at'])); ?></td>
                <!--FINALIZADO-->
				<td style="width:6%; text-align: center; vertical-align: middle;"><?php 
                    if ($category_name == 'Solucionado') {
                            echo date("d/m/Y G:i:s", strtotime($key['date_atendid']));
                        } else {
                        echo 'N/A';
                    }                
                 ?></td>
                <!--CODIGO-->
				<td style="width:5%; text-align: center; vertical-align: middle;"><?php echo $key['number_ticket']; ?></td>
                <!--USUARIO-->
                <td style="width:5%; text-align: center; vertical-align: middle;"><?php echo $key['name']; ?></td>
                <!--EMPRESA-->
                <td style="width:6%; text-align: center; vertical-align: middle;"><?php echo $kiempresa; ?></td>
                <!--ESTATUS-->
                <td style="width:5%; text-align: center; vertical-align: middle;"><?php echo $category_name; ?></td>
                <!--AGENTE-->
                <td style="width:6%; text-align: center; vertical-align: middle;"><?php echo $kiname. " ". $kilastname; ?></td>
                <!--ÁREA-->
				<td style="width:7%; text-align: center; vertical-align: middle;"><?php echo $kind_name; ?></td>
                <!--SERVICIO-->
				<td style="width:7%; text-align: center; vertical-align: middle;"><?php echo $servicio_num; ?></td>
                <!--PRIORIDAD-->
				<td style="width:5%; text-align: center; vertical-align: middle;"><?php echo $prioridad_num; ?></td>
                <!--PROBLEMA-->
				<th style="width:12%; text-align: center; width:11%; vertical-align: middle;"><?php echo $comment; ?></th>
                <!--SOLUCION-->
				<td style="width:13%; text-align: justify; width:11%; vertical-align: middle;"><?php echo $finalizado; ?></td>
                
                <!--TIEMPO ASIGNADO-->
                <td style="width:4%; text-align: center; vertical-align: middle;">
                    <?php if ($category_name != 'Registrado') {
                            echo $tiempoasignado;                        
                        }else {
                        echo 'N/A'; 
                }?></td>
                
                <!--TIEMPO RESUELTO-->
                <td style="width:4%; text-align: center; vertical-align: middle;">
                    <?php if ($category_name == 'Solucionado') {
                            echo $tiemporesolver;                      
                        }else {
                        echo 'N/A'; 
                }?></td>
                
                <!--TIEMPO RESTANTE-->
                <td style="width:4%; text-align: center; vertical-align: middle;">
                    <?php if ($category_name == 'Solucionado') {
                            echo "N/A";                      
                        }else {
                    
                     
                     switch($prioridad_num){
        case 1:
            /*a continuacion sumamos las horas de la prioridad 1, que son 2 */
            $sumatiempo=date("Y-m-d H:i:s", strtotime($created_at . ' +2 hour'));
            $dtesumatiempo=new DateTime($sumatiempo);
            $tiempofinal = $dtefechaactual->diff($dtesumatiempo);
            $tiempovida = $tiempofinal->format("%r%d | %H:%i:%s");
            if($tiempovida<0){
                echo "0 | 00:00:00";
            } else{
                echo $tiempovida;
            }   
            break;
        case 2: 
            /*a continuacion sumamos las horas de la prioridad 2, que son 4 */
            $sumatiempo=date("Y-m-d H:i:s", strtotime($created_at . ' +4 hour'));
            $dtesumatiempo=new DateTime($sumatiempo);
            $tiempofinal = $dtefechaactual->diff($dtesumatiempo);
            $tiempovida = $tiempofinal->format("%r%d | %H:%i:%s");
            if($tiempovida<0){
                echo "0 | 00:00:00";
            } else{
                echo $tiempovida;
            } 
            break;
        case 3:
            /*a continuacion sumamos las horas de la prioridad 3, que son 24*/
            $sumatiempo=date("Y-m-d H:i:s", strtotime($created_at . ' +24 hour'));
            $dtesumatiempo=new DateTime($sumatiempo);
            $tiempofinal = $dtefechaactual->diff($dtesumatiempo);
            $tiempovida = $tiempofinal->format("%r%d | %H:%i:%s");
            if($tiempovida<0){
                echo "0 | 00:00:00";
            } else{
                echo $tiempovida;
            } 
            break;
        case 4:
            /*a continuacion sumamos las horas de la prioridad 4, que son 48*/
            $sumatiempo=date("Y-m-d H:i:s", strtotime($created_at . ' +48 hour'));
            $dtesumatiempo=new DateTime($sumatiempo);
            $tiempofinal = $dtefechaactual->diff($dtesumatiempo);
            $tiempovida = $tiempofinal->format("%r%d | %H:%i:%s");
            if($tiempovida<0){
                echo "0 | 00:00:00";
            } else{
                echo $tiempovida;
            } 
            break;
        case 5:
            /*a continuacion sumamos las horas de la prioridad 5, que son 720*/
            $sumatiempo=date("Y-m-d H:i:s", strtotime($created_at . ' +720 hour'));
            $dtesumatiempo=new DateTime($sumatiempo);
            $tiempofinal = $dtefechaactual->diff($dtesumatiempo);
            $tiempovida = $tiempofinal->format("%r%d | %H:%i:%s");
            if($tiempovida<0){
                echo "0 | 00:00:00";
            } else{
                echo $tiempovida;
            } 
            break;        
    }      
                     
                }?></td>
                
                <!--ESTADO-->
                <!--AQUI PONEMOS EL COLOR SEGUN EL ESTADO DEL TICKET-->
                <?php switch($category_name): 
                    case "Registrado": ?>
                        <td style="text-align: center; vertical-align: middle; "><?php echo "N/A"; ?></td>  
                    <?php break; ?>
                
                    <?php case "Asignado": ?>
                        <td style="text-align: center; vertical-align: middle; "><?php echo "N/A"; ?></td> 
                    <?php break; ?>
                
                    <?php case "Con Incidencia": ?>
                        <td bgcolor="#fcba03" style="text-align: center; vertical-align: middle; "><?php echo "Pausado";?></td>
                    <?php break; ?>
                
                    <?php case "Solucionado":                       
                        if ($estado == 'Vencido'){ ?>
                            <td bgcolor="#c96161" style="text-align: center; vertical-align: middle; "><?php echo $estado;?></td>  
                        <?php } elseif ($estado == 'A tiempo') { ?>
                            <td bgcolor="#38b55b" style="text-align: center; vertical-align: middle; "><?php echo $estado; ?></td>
                        <?php }

                     break; ?>
                
                    <?php endswitch; ?>
			</tr>
        
				<?php
            }
        ?>  
    
    </table>
    <br><br>
    <!--A CONTINUACIÓN SE IMPRIME LA TABLA CON EL RESUMEN POR AGENTE-->
    <!--IMPORTANTE: LAS VARIABLES DE $agen1, $agen1pausa, etc ESTÁN EN EL ARCHIVO CONFIG EN LA RUTA HELPDESK/ADMIN/CONFIG/CONFIG.PHP-->
    <table border="1"cellspacing="0" style="width: 100%; text-align: center; font-size: 7pt;" >
        
        
        <tr style="color: #FFF; background-color: #34495e">
            <th style="width:8.5%; text-align: center">AGENTE</th>
            <th style="width:4%; text-align: center">A TIEMPO</th>
            <th style="width:4%; text-align: center">VENCIDOS</th>
            <th style="width:4%; text-align: center">PAUSADOS</th>
            <th style="width:4%; text-align: center">TOTALES</th>
        </tr>
        <tr>
            <!--AGENTE 1-->
            <td style="text-align: center; vertical-align: middle;"><?php echo $agen1; ?></td>
             <!--TICKETS A TIEMPO-->
            <td style="text-align: center; vertical-align: middle;"><?php echo $agen1atiem; ?></td>
            <!--TICKETS CON RETRASO-->
            <td style="text-align: center; vertical-align: middle;"><?php echo $agen1retra; ?></td>
            <!--TICKETS PAUSADOS-->
            <td style="text-align: center; vertical-align: middle;"><?php echo $agen1pausa; ?></td>
            <!--TICKETS TOTALES-->
            <td style="text-align: center; vertical-align: middle;"><?php echo $agen1totales; ?></td>
        </tr>
        <tr>
            <!--AGENTE 2-->
            <td style="text-align: center; vertical-align: middle;"><?php echo $agen2; ?></td>
             <!--TICKETS A TIEMPO-->
            <td style="text-align: center; vertical-align: middle;"><?php echo $agen2atiem; ?></td>
            <!--TICKETS CON RETRASO-->
            <td style="text-align: center; vertical-align: middle;"><?php echo $agen2retra; ?></td>
            <!--TICKETS PAUSADOS-->
            <td style="text-align: center; vertical-align: middle;"><?php echo $agen2pausa; ?></td>
            <!--TICKETS TOTALES-->
            <td style="text-align: center; vertical-align: middle;"><?php echo $agen2totales; ?></td>
        </tr>
        <tr>
            <!--AGENTE 3-->
            <td style="text-align: center; vertical-align: middle;"><?php echo $agen3; ?></td>
             <!--TICKETS A TIEMPO-->
            <td style="text-align: center; vertical-align: middle;"><?php echo $agen3atiem; ?></td>
            <!--TICKETS CON RETRASO-->
            <td style="text-align: center; vertical-align: middle;"><?php echo $agen3retra; ?></td>
            <!--TICKETS PAUSADOS-->
            <td style="text-align: center; vertical-align: middle;"><?php echo $agen3pausa; ?></td>
            <!--TICKETS TOTALES-->
            <td style="text-align: center; vertical-align: middle;"><?php echo $agen3totales; ?></td>
        </tr>
        <tr>
            <!--AGENTE 4-->
            <td style="text-align: center; vertical-align: middle;"><?php echo $agen4; ?></td>
             <!--TICKETS A TIEMPO-->
            <td style="text-align: center; vertical-align: middle;"><?php echo $agen4atiem; ?></td>
            <!--TICKETS CON RETRASO-->
            <td style="text-align: center; vertical-align: middle;"><?php echo $agen4retra; ?></td>
            <!--TICKETS PAUSADOS-->
            <td style="text-align: center; vertical-align: middle;"><?php echo $agen4pausa; ?></td>
            <!--TICKETS TOTALES-->
            <td style="text-align: center; vertical-align: middle;"><?php echo $agen4totales; ?></td>
        </tr>
        <tr>
            <!--AGENTE 5-->
            <td style="text-align: center; vertical-align: middle;"><?php echo $agen5; ?></td>
             <!--TICKETS A TIEMPO-->
            <td style="text-align: center; vertical-align: middle;"><?php echo $agen5atiem; ?></td>
            <!--TICKETS CON RETRASO-->
            <td style="text-align: center; vertical-align: middle;"><?php echo $agen5retra; ?></td>
            <!--TICKETS PAUSADOS-->
            <td style="text-align: center; vertical-align: middle;"><?php echo $agen5pausa; ?></td>
            <!--TICKETS TOTALES-->
            <td style="text-align: center; vertical-align: middle;"><?php echo $agen5totales; ?></td>
        </tr>
        <tr>
            <!--AGENTE 6-->
            <td style="text-align: center; vertical-align: middle;"><?php echo $agen6; ?></td>
             <!--TICKETS A TIEMPO-->
            <td style="text-align: center; vertical-align: middle;"><?php echo $agen6atiem; ?></td>
            <!--TICKETS CON RETRASO-->
            <td style="text-align: center; vertical-align: middle;"><?php echo $agen6retra; ?></td>
            <!--TICKETS PAUSADOS-->
            <td style="text-align: center; vertical-align: middle;"><?php echo $agen6pausa; ?></td>
            <!--TICKETS TOTALES-->
            <td style="text-align: center; vertical-align: middle;"><?php echo $agen6totales; ?></td>
        </tr>
        <tr>
            <!--AGENTE 7-->
            <td style="text-align: center; vertical-align: middle;"><?php echo $agen7; ?></td>
             <!--TICKETS A TIEMPO-->
            <td style="text-align: center; vertical-align: middle;"><?php echo $agen7atiem; ?></td>
            <!--TICKETS CON RETRASO-->
            <td style="text-align: center; vertical-align: middle;"><?php echo $agen7retra; ?></td>
            <!--TICKETS PAUSADOS-->
            <td style="text-align: center; vertical-align: middle;"><?php echo $agen7pausa; ?></td>
            <!--TICKETS TOTALES-->
            <td style="text-align: center; vertical-align: middle;"><?php echo $agen7totales; ?></td>
        </tr>
        <tr>
            <!--AGENTE 9-->
            <td style="text-align: center; vertical-align: middle;"><?php echo $agen9; ?></td>
             <!--TICKETS A TIEMPO-->
            <td style="text-align: center; vertical-align: middle;"><?php echo $agen9atiem; ?></td>
            <!--TICKETS CON RETRASO-->
            <td style="text-align: center; vertical-align: middle;"><?php echo $agen9retra; ?></td>
            <!--TICKETS PAUSADOS-->
            <td style="text-align: center; vertical-align: middle;"><?php echo $agen9pausa; ?></td>
            <!--TICKETS TOTALES-->
            <td style="text-align: center; vertical-align: middle;"><?php echo $agen9totales; ?></td>
        </tr>
        <tr>
            <!--AGENTE 11-->
            <td style="text-align: center; vertical-align: middle;"><?php echo $agen11; ?></td>
             <!--TICKETS A TIEMPO-->
            <td style="text-align: center; vertical-align: middle;"><?php echo $agen11atiem; ?></td>
            <!--TICKETS CON RETRASO-->
            <td style="text-align: center; vertical-align: middle;"><?php echo $agen11retra; ?></td>
            <!--TICKETS PAUSADOS-->
            <td style="text-align: center; vertical-align: middle;"><?php echo $agen11pausa; ?></td>
            <!--TICKETS TOTALES-->
            <td style="text-align: center; vertical-align: middle;"><?php echo $agen11totales; ?></td>
        </tr>
        <tr>
            <!--AGENTE 12-->
            <td style="text-align: center; vertical-align: middle;"><?php echo $agen12; ?></td>
             <!--TICKETS A TIEMPO-->
            <td style="text-align: center; vertical-align: middle;"><?php echo $agen12atiem; ?></td>
            <!--TICKETS CON RETRASO-->
            <td style="text-align: center; vertical-align: middle;"><?php echo $agen12retra; ?></td>
            <!--TICKETS PAUSADOS-->
            <td style="text-align: center; vertical-align: middle;"><?php echo $agen12pausa; ?></td>
            <!--TICKETS TOTALES-->
            <td style="text-align: center; vertical-align: middle;"><?php echo $agen12totales; ?></td>
        </tr>     

    </table>
    <br>
    
    <!--A CONTINUACIÓN SE IMPRIME LA TABLA CON EL TOTAL DE TICKETS POR DEPARTAMENTO-->
    <table border="1"cellspacing="0" style="width: 100%; text-align: center; font-size: 7pt;" >
        <tr>
            <td style="text-align: center; vertical-align: middle; width:8.5%;font-weight: bold;">DEPARTAMENTO</td>
            <td style="text-align: center; vertical-align: middle; width:4%;"><?php echo $totalatiempo; ?></td>
            <td style="text-align: center; vertical-align: middle; width:4%;"><?php echo $totalretrasados; ?></td>
            <td style="text-align: center; vertical-align: middle; width:4%;"><?php echo $totalpausados; ?></td>
            <!--TICKETS TOTALES-->
            <td style="text-align: center; vertical-align: middle; width:4%;"><?php echo $totalt; ?></td>
        </tr>
    </table>
    
        
    <br><br><br><br>	
	
</page>